package com.ruoyi.system.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 师傅申请记录对象 worker_apply
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class WorkerApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    private Long uid;
    /** 用户 */
    @Excel(name = "用户姓名")
    private String uname;
    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String cardNo;

    /** 技能ID */
    @Excel(name = "技能ID")
    private String skillId;

    /** 身份张头像面--废弃 */
    @Excel(name = "身份张头像面--废弃")
    private String cardAvatar;

    /** 身份张国徽面--废弃 */
    @Excel(name = "身份张国徽面--废弃")
    private String cardBadge;

    /** 电子照片 */
    @Excel(name = "电子照片")
    private String image;

    /** 技能证书 */
    @Excel(name = "技能证书")
    private String skill;

    /** 无犯罪证明 */
    @Excel(name = "无犯罪证明")
    private String criminal;

    /** 健康证 */
    @Excel(name = "健康证")
    private String health;

    /** 学历证书 */
    @Excel(name = "学历证书")
    private String education;

    /** 驾照 */
    @Excel(name = "驾照")
    private String drive;

    /** 状态0：待处理1：同意  2：驳回 */
    @Excel(name = "状态0：待处理1：同意  2：驳回")
    private Long status;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 接单城市 */
    @Excel(name = "接单城市")
    private Long cityPid;

    /** 接单地区 */
    @Excel(name = "接单地区")
    private String cityIds;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date deletedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setCardNo(String cardNo) 
    {
        this.cardNo = cardNo;
    }

    public String getCardNo() 
    {
        return cardNo;
    }

    public void setSkillId(String skillId) 
    {
        this.skillId = skillId;
    }

    public String getSkillId() 
    {
        return skillId;
    }

    public void setCardAvatar(String cardAvatar) 
    {
        this.cardAvatar = cardAvatar;
    }

    public String getCardAvatar() 
    {
        return cardAvatar;
    }

    public void setCardBadge(String cardBadge) 
    {
        this.cardBadge = cardBadge;
    }

    public String getCardBadge() 
    {
        return cardBadge;
    }

    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }

    public void setSkill(String skill) 
    {
        this.skill = skill;
    }

    public String getSkill() 
    {
        return skill;
    }

    public void setCriminal(String criminal) 
    {
        this.criminal = criminal;
    }

    public String getCriminal() 
    {
        return criminal;
    }

    public void setHealth(String health) 
    {
        this.health = health;
    }

    public String getHealth() 
    {
        return health;
    }

    public void setEducation(String education) 
    {
        this.education = education;
    }

    public String getEducation() 
    {
        return education;
    }

    public void setDrive(String drive) 
    {
        this.drive = drive;
    }

    public String getDrive() 
    {
        return drive;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setCityPid(Long cityPid) 
    {
        this.cityPid = cityPid;
    }

    public Long getCityPid() 
    {
        return cityPid;
    }

    public void setCityIds(String cityIds) 
    {
        this.cityIds = cityIds;
    }

    public String getCityIds() 
    {
        return cityIds;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uid", getUid())
            .append("name", getName())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("cardNo", getCardNo())
            .append("skillId", getSkillId())
            .append("cardAvatar", getCardAvatar())
            .append("cardBadge", getCardBadge())
            .append("image", getImage())
            .append("skill", getSkill())
            .append("criminal", getCriminal())
            .append("health", getHealth())
            .append("education", getEducation())
            .append("drive", getDrive())
            .append("status", getStatus())
            .append("remarks", getRemarks())
            .append("cityPid", getCityPid())
            .append("cityIds", getCityIds())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .toString();
    }
}
